function [Y_TLH,Z_TLH,asseX_TLH,asseY_TLH,asseZ_TLH,AlfaX_TLH,AlfaY_TLH] = CalcoloBiax_TLH(...
            SpeTLH,PsTLH,ii,jj,ax,ay,asseX_TLH,asseY_TLH,asseZ_TLH,Y_TLH,Z_TLH,AlfaX_TLH,...
            AlfaY_TLH,Traversine)

% Spostamento lungo l'asse X registrato dal nodo i
Xi = Traversine * ay(ii,jj);
% Spostamento lungo l'asse Y registrato dal nodo i
Yi = -1*(SpeTLH(ii,1) - SpeTLH(ii,1) * (1 - ax(ii,jj).^2).^0.5); % SP*cos(alfa)
% Spostamento lungo l'asse Z registrato dal nodo i; uso -1 per adattarlo al sistema di riferimento scelto 
% Zi = -1*SpeTLH(ii,1) * ax(ii,jj); % SP*sin(alfa) % fino a 11/06/2021
Zi = SpeTLH(ii,1) * ax(ii,jj); % SP*sin(alfa) % dopo 11/06/2021

% Rollio
AlfaX_TLH(ii,jj) = asind(ay(ii,jj));
% Inclinazione
AlfaY_TLH(ii,jj) = asind(ax(ii,jj));
    
% Matrici singoli spostamenti
asseX_TLH(ii,jj) = Xi;
asseY_TLH(ii,jj) = Yi;
asseZ_TLH(ii,jj) = Zi;

if ii==1 
    Y_TLH (ii,jj) = PsTLH(ii,1) + asseY_TLH(ii,jj);
    Z_TLH (ii,jj) = asseZ_TLH(ii,jj);
else
    Y_TLH(ii,jj) = PsTLH(ii,1) + asseY_TLH(ii,jj) + Y_TLH(ii-1,jj) - PsTLH(ii-1,1);
    Z_TLH(ii,jj) = Z_TLH(ii-1,jj) + asseZ_TLH(ii,jj);
end

end